%define module_name 	paramiko
%define version 1.5.2
%define release %mkrel 3

Summary: 	SSH2 protocol for Python
Name: 		python-%module_name
Version: 	%version
Release: 	%release
Url: 		http://www.lag.net/~robey/paramiko/
License: 	GPL
Group: 		Development/Python
Source: 	http://www.lag.net/~robey/paramiko/download/%{module_name}-%{version}.tar.bz2

Requires:   pycrypto
Obsoletes:  %{module_name}
Provides:   %{module_name}
Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	python-devel
BuildRequires:	pycrypto
BuildArch:	noarch

%description
Paramiko is a module for python that implements the SSH2 protocol for secure
(encrypted and authenticated) connections to remote machines.  the module works
by taking a socket-like object that you pass in, negotiating with the remote
server, authenticating (using a password or a given private key), and opening
flow-controled "channels" to the server, which are returned as socket-like
objects. you are responsible for verifying that the server's host key is the
one you expected to see, and you have control over which kinds of encryption
or hashing you prefer (if you care), but all of the heavy lifting is done by
the paramiko module. 

%prep
%setup -q -n %module_name-%version

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%check
python test.py

%files
%defattr(-,root,root)
%doc docs PKG-INFO README tests demo*
%py_puresitedir/%module_name

%changelog
* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 1.5.2-3mdk
- Use new python macro

* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 1.5.2-2mdk
- fix BuildRequires

* Tue Dec 06 2005 Michael Scherer <misc@mandriva.org> 1.5.2-1mdk
- new version 1.5.2
- make it rpmbuildupdatable

* Fri Nov 11 2005 Michael Scherer <misc@mandriva.org> 1.5.1-1mdk
- New release 1.5.1
- rename package to python-paramiko
- add missing requires
- add test

* Sat Oct 01 2005 Olivier Thauvin <nanardon@mandriva.org> 1.3.1-3mdk
- update from club to cooker

* Mon Jul 11 2005 David Black <dave@jamsoft.com> 1.3.1-2mdk
- rebuild for 1.3.1

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.9h-2mdk
- Rebuild for new python

* Sun Jul 18 2004 Austin Acton <austin@mandrake.org> 0.9h-1mdk
- initial package

